typedef union {
   long long int      i;
   double             real;
   char              *string;
   void              *ptr;
   time_t             time;
   Item              *item;
   ItemList          *list;
   regexp            *re;
   SymID              sid;
   IPAddr            *ip;
   Prefix            *prfx;
   PrefixRange       *prfxrng;
   RPType            *typenode;

   Filter                    *filter;
   FilterMS                  *moreSpecOp;
   PolicyPeering             *peering;
   PolicyActionList          *actionList;
   PolicyAction              *actionNode;
   PolicyFactor              *policyFactor;
   PolicyTerm                *policyTerm;
   PolicyExpr                *policyExpr;
   List<PolicyPeeringAction> *peeringActionList;

   Attr               *attr;
   AttrAttr           *rpslattr;
   AttrMethod         *method;
   const AttrRPAttr   *rp_attr;
   const AttrProtocol *protocol;
   AttrProtocolOption *protocol_option;
   List<AttrProtocolOption> *protocol_option_list;

   AttrPeerOption       *peer_option;
   List<AttrPeerOption> *peer_option_list;

   List<RPTypeNode> *typelist;
   List<AttrMethod> *methodlist;
   List<WordNode>   *wordlist;

   List<AttrMntRoutes::MntPrfxPair> *listMntPrfxPair;
   AttrMntRoutes::MntPrfxPair       *mntPrfxPair;
} YYSTYPE;
#define	KEYW_TRUE	258
#define	KEYW_FALSE	259
#define	KEYW_ACTION	260
#define	KEYW_ACCEPT	261
#define	KEYW_ANNOUNCE	262
#define	KEYW_FROM	263
#define	KEYW_TO	264
#define	KEYW_AT	265
#define	KEYW_ANY	266
#define	KEYW_REFINE	267
#define	KEYW_EXCEPT	268
#define	KEYW_STATIC	269
#define	KEYW_NETWORKS	270
#define	KEYW_MASKLEN	271
#define	KEYW_UNION	272
#define	KEYW_RANGE	273
#define	KEYW_LIST	274
#define	KEYW_OF	275
#define	KEYW_OPERATOR	276
#define	KEYW_SYNTAX	277
#define	KEYW_SPECIAL	278
#define	KEYW_OPTIONAL	279
#define	KEYW_MANDATORY	280
#define	KEYW_INTERNAL	281
#define	KEYW_SINGLEVALUED	282
#define	KEYW_MULTIVALUED	283
#define	KEYW_LOOKUP	284
#define	KEYW_KEY	285
#define	KEYW_DELETED	286
#define	KEYW_GENERATED	287
#define	KEYW_OBSOLETE	288
#define	KEYW_PEERAS	289
#define	KEYW_PROTOCOL	290
#define	KEYW_INTO	291
#define	KEYW_ATOMIC	292
#define	KEYW_INBOUND	293
#define	KEYW_OUTBOUND	294
#define	KEYW_UPON	295
#define	KEYW_HAVE_COMPONENTS	296
#define	KEYW_EXCLUDE	297
#define	KEYW_NONE	298
#define	KEYW_MAILFROM	299
#define	KEYW_CRYPTPW	300
#define	KEYW_ASSIGNED	301
#define	KEYW_ALLOCATED	302
#define	KEYW_PI	303
#define	KEYW_PA	304
#define	KEYW_UNSPECIFIED	305
#define	KEYW_EXT	306
#define	KEYW_SIMPLE	307
#define	KEYW_RIPE	308
#define	KEYW_INTERNIC	309
#define	KEYW_CLIENTADDRESS	310
#define	TKN_ERROR	311
#define	TKN_UNKNOWN_CLASS	312
#define	TKN_EOA	313
#define	TKN_EOO	314
#define	TKN_FREETEXT	315
#define	TKN_INT	316
#define	TKN_REAL	317
#define	TKN_STRING	318
#define	TKN_TIMESTAMP	319
#define	TKN_BLOB	320
#define	TKN_IPV4	321
#define	TKN_PRFXV6	322
#define	TKN_PRFXV4	323
#define	TKN_PRFXV4RNG	324
#define	TKN_ASNO	325
#define	TKN_ASNAME	326
#define	TKN_RSNAME	327
#define	TKN_RTRSNAME	328
#define	TKN_PRNGNAME	329
#define	TKN_FLTRNAME	330
#define	TKN_BOOLEAN	331
#define	TKN_WORD	332
#define	TKN_RP_ATTR	333
#define	TKN_DNS	334
#define	TKN_EMAIL	335
#define	TKN_3DOTS	336
#define	TKN_NICHDL	337
#define	TKN_KEYCRTNAME	338
#define	TKN_CRYPTEDPW	339
#define	ATTR_GENERIC	340
#define	ATTR_BLOBS	341
#define	ATTR_IMPORT	342
#define	ATTR_EXPORT	343
#define	ATTR_DEFAULT	344
#define	ATTR_FREETEXT	345
#define	ATTR_CHANGED	346
#define	ATTR_IFADDR	347
#define	ATTR_PEER	348
#define	ATTR_INJECT	349
#define	ATTR_COMPONENTS	350
#define	ATTR_AGGR_MTD	351
#define	ATTR_AGGR_BNDRY	352
#define	ATTR_RS_MEMBERS	353
#define	ATTR_RP_ATTR	354
#define	ATTR_TYPEDEF	355
#define	ATTR_PROTOCOL	356
#define	ATTR_FILTER	357
#define	ATTR_PEERING	358
#define	ATTR_ATTR	359
#define	ATTR_MNT_ROUTES	360
#define	ATTR_NICHDL	361
#define	ATTR_AUTH	362
#define	ATTR_STATUS_INET	363
#define	ATTR_PHONE	364
#define	ATTR_SOURCE	365
#define	ATTR_REFER	366
#define	ATTR_COUNTRY	367
#define	ATTR_PERSON	368
#define	OP_OR	369
#define	OP_AND	370
#define	OP_NOT	371
#define	OP_MS	372
#define	TKN_OPERATOR	373


extern YYSTYPE rpsllval;
